html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

html {
    height: 100%;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}


@import url('https://fonts.googleapis.com/css2?family=DynaPuff:wght@600&family=Lato&family=Manrope:wght@700&family=Roboto:wght@300;400;700&family=Ubuntu:wght@300&display=swap');

@font-face {
    font-family: 'Gilroy';
    src: url('/src/style/fonts/gilroy-bold.ttf') format('ttf');

    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Gilroy-UltraLight';
    src: url('/src/style/fonts/ofont.ru_Gilroy.ttf') format('ttf');

    font-weight: normal;
    font-style: normal;
}

$dark-gray-color: #252525;
$black-color: #000;
$wite-color: #ffffff;
$font-family-gilroy: 'Gilroy', sans-serif;
$font-family-gilroy-semibold: 'Gilroy-SemiBold', sans-serif;

.contact__btn {
    text-decoration: none;
}

@media (min-width: 320px) and (max-width: 768px) {
    .what__Ido-div1 {
        background: url(../images/stud-2/Frame3.png);
        width: 100%;
        height: 100vh;
        background-size: cover;
        background-repeat: no-repeat;

    }


    .what__Ido-div2 {
        margin-top: 20px;
        margin-bottom: 40px;
    }

    .what__Ido-div2--title {
        color: $dark-gray-color;
        text-align: center;
        font-family: $font-family-gilroy;


        font-size: 63px;
        font-style: normal;
        font-weight: 500;
        margin-bottom: 10%;
    }

    .what__Ido-h2 {
        color: $black-color;
        font-family: $font-family-gilroy-semibold;
        font-size: 31px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2::before {
        content: '01 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-text {
        width: 438px;
        color: $black-color;
        font-family: 'Inter', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 400;
        line-height: 28px;
        width: 90%;
        margin: 0 auto;
        margin-top: 10px;
    }

    .hr {
        width: 90%;
        margin: 0 auto;
        margin-top: 30px;
        margin-bottom: 30px;
    }

    .hr__bottom {
        width: 100%;

        margin-top: 30px;
        margin-bottom: 30px;
    }

    .what__Ido-h2-2 {
        color: $black-color;
        font-family: $font-family-gilroy-semibold;
        font-size: 31px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-2::before {
        content: '02 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-h2-3 {
        color: $black-color;
        font-family: $font-family-gilroy-semibold;
        font-size: 31px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-3::before {
        content: '03 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-h2-4 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 31px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-4::before {
        content: '04 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .w {
        margin-top: 30px;
    }

    .my-clients__avtor {
        display: flex;
        align-items: center;
        width: 90%;
        margin: 0 auto;
    }

    .my-clients__p1 {
        color: #333;
        font-family: $font-family-gilroy;
        font-size: 40px;
        font-style: normal;
        font-weight: 800;
        line-height: 44px;
        width: 90%;
        margin: 0 auto;
        margin-top: 30px;
    }

    .my-clients__p2 {
        color: $black-color;
        font-family: 'Inter', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 400;
        line-height: 30px;
        width: 90%;
        margin: 0 auto;
        margin-top: 30px;
    }

    .my-clients__avtor {
        margin-top: 30px;
        margin-left: 5%;

    }

    .hr {
        width: 90%;
        margin: 40px auto;
    }

    .hr__bottom {
        margin-top: 40px;
    }

    .my-clients--name-avtor {
        color: $black-color;

        font-family: 'Inter', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 600;
        line-height: 20px;
    }

    .my-clients--name-worck {
        color: $black-color;

        font-family: 'Inter', sans-serif;
        font-size: 19px;
        font-style: normal;
        font-weight: 400;
        line-height: 20px;
    }

    .my-clients__div-name {
        margin-left: 20px;
        display: grid;
        gap: 10px;
    }

    .what__Ido-div2--title {
        color: $dark-gray-color;
        text-align: center;
        font-family: $font-family-gilroy;
        margin-top: 20px;
        margin-bottom: 40px;
        font-size: 53px;
        font-weight: 500;
        width: 90%;
        margin: 0 auto;
        margin-bottom: 10%;
    }

    .contact__h1 {

        text-align: center;
        font-family: 'Gilroy', sans-serif;
        font-size: 68px;
        font-weight: 500;
        line-height: 92px;

        color: #333333;

    }

    .contact__p {
        padding-top: 30px;
        font-family: 'Gilroy-bold', sans-serif;
        font-size: 50px;
        line-height: 59px;
        letter-spacing: 0em;
        text-align: center;
        color: $dark-gray-color;
        font-weight: 600;

    }

    .contact__p2 {
        font-family: 'Gilroy-Medium', sans-serif;
        font-size: 30px;
        line-height: 35px;
        letter-spacing: 0em;
        text-align: center;
        padding-top: 30px;
    }

    .contact__btn {
        margin-top: 30px;
        width: 100%;
        height: 53px;
        background-color: $dark-gray-color;
        color: white;
        font-size: 18px;
        font-family: 'Gilroy-Medium', sans-serif;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 30px;
        border: none;
    }

    .contact__btn-img {
        margin-left: 10px;
        display: flex;
        align-items: center;
    }

    .consultation-hr__bottom {
        margin-top: 50px;
        margin-bottom: 0;
    }

    .footer__h1 {
        text-align: center;
        color: #333;
        font-family: 'Gilroy-Regular', sans-serif;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }

    .footer__h1-span {
        color: #333;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 15px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
    }

    .footer__icon {
        margin-top: 20px;
        display: flex;
        justify-content: center;
        gap: 10px;

    }

    footer {
        padding: 20px;
    }

    .hr__bottom {
        display: none;
    }

    .my-clients__hr {
        margin-top: 30px;
    }

    .my-clients__logo {
        margin-left: 5%;
    }

    .hr__section1 {
        margin-top: 30px;
        margin-bottom: 30px;
    }
}


@media (min-width: 768px) and (max-width: 1200px) {
    .what__Ido-div1 {
        background: url(../images/stud-2/Frame3.png);
        width: 100%;
        height: 1137px;
        background-size: cover;
        background-repeat: no-repeat;

    }

    .my-clients__hr {
        display: none;
    }

    .what__Ido-div2--title {
        color: $dark-gray-color;
        text-align: center;
        font-family: 'Gilroy', sans-serif;
        padding-top: 40px;
        padding-bottom: 40px;
        font-size: 127px;
        font-style: normal;
        font-weight: 300;


    }

    .what__Ido-h2 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 44px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2::before {
        content: '01 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-text {
        width: 438px;
        color: $black-color;
        font-family: 'Inter', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 400;
        line-height: 28px;
        width: 90%;
        margin: 0 auto;
        margin-top: 10px;
    }

    .hr {
        width: 90%;
        margin: 0 auto;
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .hr__bottom {
        width: 100%;

        margin-top: 40px;

    }

    .what__Ido-h2-2 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 44px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-2::before {
        content: '02 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-h2-3 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 44px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-3::before {
        content: '03 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-h2-4 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 44px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-4::before {
        content: '04 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;
    }


    .my-clients__avtor {
        display: flex;
        align-items: center;
        width: 90%;
        margin: 0 auto;
    }

    .my-clients__logo {
        margin-top: 40px;
        margin-left: 5%;
    }

    .my-clients__p1 {
        color: #333;
        font-family: 'Gilroy', sans-serif;
        font-size: 40px;
        font-style: normal;
        font-weight: 800;
        line-height: 44px;
        width: 90%;
        margin: 0 auto;
        margin-top: 30px;
    }

    .my-clients__p2 {
        color: $black-color;
        font-family: 'Inter', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 400;
        line-height: 30px;
        width: 90%;
        margin: 0 auto;
        margin-top: 30px;
    }

    .my-clients__avtor {
        margin-top: 30px;
        margin-left: 5%;

    }

    .hr__section1 {
        width: 90%;
        margin: 40px auto;
    }

    .hr__bottom--section1 {
        margin-top: 40px;
    }

    .my-clients--name-avtor {
        color: $black-color;

        font-family: 'Inter', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 600;
        line-height: 20px;
    }

    .my-clients--name-worck {
        color: $black-color;

        font-family: 'Inter', sans-serif;
        font-size: 19px;
        font-style: normal;
        font-weight: 400;
        line-height: 20px;
    }

    .my-clients__div-name {
        margin-left: 20px;
        display: grid;
        gap: 10px;
    }

    .clients-h1 {
        color: $dark-gray-color;
        text-align: center;
        font-family: "Gilroy", sans-serif;
        padding-top: 30px;
        padding-bottom: 30px;
        font-size: 127px;
        font-weight: 300;
    }

    .contact__btn {
        width: 195px;
        height: 53px;
        padding: 10px 30px 10px 30px;
        border-radius: 50px;
        gap: 10px;
        border: none;

        background-color: $dark-gray-color;
        color: #fff;
        font-size: 18px;
        font-family: "Gilroy-Medium", sans-serif;

        display: flex;

        justify-content: center;
        align-items: center;
        margin-top: 3Opx;
        margin: 0 auto;
        margin-top: 2%;
    }

    .contact__btn-img {
        margin: 0;
        width: 16px;
        height: 16px;

    }

    .contact__h1 {

        text-align: center;
        font-family: 'Gilroy', sans-serif;
        font-size: 150px;
        font-weight: 300;
        line-height: 172px;
        margin-top: 30px;
        color: #333333;

    }

    .contact__p {

        color: $dark-gray-color;
        text-align: center;
        font-family: 'Gilroy-Bold', sans-serif;
        font-size: 64px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        width: 80%;
        margin: 0 auto;
        margin-top: 40px;
    }

    .contact__p2 {
        font-family: 'Gilroy-Medium', sans-serif;
        font-size: 30px;
        line-height: 35px;
        letter-spacing: 0em;
        text-align: center;
        padding-top: 30px;
        margin: 0 auto;
        width: 80%;
    }


    .consultation-hr__bottom {
        margin-top: 50px;
        margin-bottom: 0;
    }

    .footer__h1 {

        color: #333;
        font-family: 'Gilroy-Regular', sans-serif;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }

    .footer__h1-span {
        color: #333;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 15px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
    }

    .footer__icon {

        display: flex;

        gap: 10px;
        align-items: center;

    }

    .footer__article {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    footer {
        padding: 20px;
    }
}

@media (min-width: 1200px) {
    .what__Ido-div1 {
        background: url(../images/stud-2/Frame3.png);
        width: 980px;
        height: 1137px;
        background-size: cover;
        background-repeat: no-repeat;


    }

    .what__Ido {
        display: flex;

    }

    .what__Ido-block1 {
        width: 82%;
        margin: 0 auto;
        margin-top: 5%;
    }

    .what__Ido-div-main {
        width: 940px;
        height: 1137px;

    }

    .what__Ido-div2--title {
        color: $dark-gray-color;
        text-align: center;
        font-family: 'Gilroy', sans-serif;
        margin-top: 3%;
        font-size: 100px;
        font-style: normal;
        font-weight: 300;
        line-height: 172.95px;
        text-transform: uppercase;
    }

    .what__Ido-h2 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 44px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2::before {
        content: '01 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-text {
        width: 438px;
        color: $black-color;
        font-family: 'Inter', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 400;
        line-height: 28px;
        width: 90%;
        margin: 0 auto;
        margin-top: 10px;
    }

    .hr {
        width: 90%;
        margin: 0 auto;
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .hr__bottom {
        width: 100%;
        margin: 0;
    }

    .what__Ido-h2-2 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 44px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-2::before {
        content: '02 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-h2-3 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 37px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-3::before {
        content: '03 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;

    }

    .what__Ido-h2-4 {
        color: $black-color;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 44px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
        text-transform: uppercase;
        display: flex;
        justify-content: start;
        gap: 2%;
    }

    .what__Ido-h2-4::before {
        content: '04 ';
        font-family: 'Gilroy-UltraLight', sans-serif;
        font-weight: 100;
        margin-left: 5%;
    }

    .my-clients__avtor {
        display: flex;
        align-items: center;
        width: 90%;
        margin: 0 auto;
    }

    .my-clients__logo {
        margin-top: 40px;
        margin-left: 5%;
    }

    .my-clients__p1 {
        color: #333;
        font-family: 'Gilroy', sans-serif;
        font-size: 35px;
        font-style: normal;
        font-weight: 800;
        line-height: 39px;
        width: 90%;
        margin: 0 auto;
        margin-top: 30px;
    }

    .my-clients__p2 {
        color: $black-color;
        font-family: 'Inter', sans-serif;
        font-size: 17px;
        font-style: normal;
        font-weight: 400;
        line-height: 30px;
        width: 90%;
        margin: 0 auto;
        margin-top: 30px;
    }

    .my-clients__avtor {
        margin-top: 30px;
        margin-left: 5%;

    }

    .my-clients__avtor img {
        padding-right: 5%;
    }

    .hr {
        width: 90%;
        margin: 40px auto;
    }

    .hr__section1 {
        width: 90%;
        margin: 40px auto;
    }

    .hr__bottom--section1 {
        margin: 0px;
    }

    .my-clients--name-avtor {
        color: $black-color;

        font-family: 'Inter', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 600;
        line-height: 20px;
    }

    .my-clients--name-worck {
        color: $black-color;

        font-family: 'Inter', sans-serif;
        font-size: 19px;
        font-style: normal;
        font-weight: 400;
        line-height: 20px;
    }

    .my-clients__div-name {
        margin-left: 20px;
        display: grid;
        gap: 10px;
    }

    .clients-h1 {
        color: $dark-gray-color;

        font-family: 'Gilroy', sans-serif;
        font-size: 205px;
        font-style: normal;
        font-weight: 300;
        line-height: normal;
        letter-spacing: 8.48px;
        text-transform: uppercase;
    }

    .my-clients__main {
        width: 90%;
        margin: 0 auto;

        display: grid;

        grid-template-columns: repeat(3, 1fr);

    }

    .my-clients__div1 {
        width: 100%;
        height: 100%;
        display: grid;
        grid-template-rows: min-content 1fr 1fr min-content;
        gap: 30px;
        padding: 30px;
        box-sizing: border-box;

        & * {
            margin: 0;
        }

        &--border-right {
            border-right: 1px solid #000000;
        }

        &--border-bottom {
            border-bottom: 1px solid #000000;
            ;
        }
    }

    .hr {
        display: none;
    }

    .hr__bottom {
        display: none;
    }

    .my-clients__hr {
        color: $dark-gray-color;
        margin-top: 10%;
    }

    .contact {
        display: flex;
        height: 633px;
    }

    .contact__h1 {
        width: 50%;
        font-size: 120px;
        font-family: 'Gilroy', sans-serif;
        color: #333333;
        font-weight: 300;
        margin-left: 50px;
        margin-top: 8%;

    }

    .contact__p {
        font-size: 43px;
        font-family: 'Gilroy-Bold', sans-serif;
        font-weight: 600;
        color: #252525;
        margin-top: 14%;
        margin-left: 15%;
        line-height: 50px;
    }

    .contact__p2 {
        font-size: 24px;
        line-height: 30px;
        font-family: 'Gilroy-Medium', sans-serif;
        margin-left: 15%;
        margin-top: 10%;
    }

    .contact__btn {
        margin-top: 10%;
        margin-left: 15%;
        width: 196px;
        height: 54px;
        border-radius: 50px;
        background-color: $dark-gray-color;
        color: $wite-color;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 15px;
        font-family: 'gilroy-medium', sans-serif;
        border: none;

    }

    .contact__btn-img {
        width: 20px;
        height: 15px;
        margin-left: 5px;
    }

    .footer__article {
        width: 100%;
        height: 80px;
        display: flex;
        justify-content: space-between;
        align-items: center;

    }

    .footer__h1 {
        margin-left: 3%;
        text-align: center;
        color: #333;
        font-family: 'Gilroy-Regular', sans-serif;
        font-size: 18px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }

    .footer__h1-span {
        color: #333;
        font-family: 'Gilroy-SemiBold', sans-serif;
        font-size: 18px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
    }

    .footer__icon {
        display: flex;
        gap: 10px;
        margin-right: 2%;
    }
}